<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hxhq.business.mapper.CellMapper">
    <select id="queryStudyList" resultType="com.hxhq.business.domain.Cell">
        select c.*, s.name as studyName
        FROM `t_study_cell` sc
        join  `t_cell` c on c.id=sc.resource_id
        LEFT JOIN `t_study` s on s.id = sc.study_id
        <if test="ew.sqlSegment != '' and ew.sqlSegment != null">
            <where>
                ${ew.sqlSegment}
            </where>
        </if>
    </select>
</mapper>